<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.administrator.wingcool_gt9_apk">

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity
            android:name=".GT9MainActivity"
            android:configChanges="locale|layoutDirection|keyboard|orientation|keyboardHidden|screenSize">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".Config"
            android:parentActivityName=".GT9MainActivity"
            android:windowSoftInputMode="stateAlwaysHidden|adjustPan">  <!--hide the keyboard-->

            <!-- The meta-data tag is required if you support API level 15 and lower -->
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".GT9MainActivity" />
        </activity>
        <activity
            android:name=".FirmwareUpdate"
            android:parentActivityName=".GT9MainActivity"
            android:windowSoftInputMode="stateAlwaysHidden|adjustPan">  <!--hide the keyboard-->

            <!-- The meta-data tag is required if you support API level 15 and lower -->
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".GT9MainActivity" />
        </activity>
        <activity
            android:name=".DataAnalysis"
            android:parentActivityName=".GT9MainActivity"
            android:configChanges="locale|layoutDirection|keyboard|orientation|keyboardHidden|screenSize">

            <!-- The meta-data tag is required if you support API level 15 and lower -->
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".GT9MainActivity" />
        </activity>
        <activity
            android:name=".NoiseAnalysis"
            android:parentActivityName=".GT9MainActivity"
            android:configChanges="locale|layoutDirection|keyboard|orientation|keyboardHidden|screenSize">

            <!-- The meta-data tag is required if you support API level 15 and lower -->
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".GT9MainActivity" />
        </activity>
        <activity
            android:name=".DemoTools"
            android:parentActivityName=".GT9MainActivity">

            <!-- The meta-data tag is required if you support API level 15 and lower -->
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".GT9MainActivity" />
        </activity>
        <activity
            android:name=".IICOperation"
            android:parentActivityName=".GT9MainActivity">

            <!-- The meta-data tag is required if you support API level 15 and lower -->
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".GT9MainActivity" />
        </activity>
        <activity
            android:name=".ContactUs"
            android:parentActivityName=".GT9MainActivity">

            <!-- The meta-data tag is required if you support API level 15 and lower -->
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".GT9MainActivity" />
        </activity>
    </application>

    <!-- 在SDCard中创建与删除文件权限 -->
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
    <!-- 往SDCard写入数据权限 -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    <!-- 从SDCard读取数据权限 -->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>

    <!-- 允许应用程序改变网络状态 -->
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />

    <!-- 允许应用程序改变WIFI连接状态 -->
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />

    <!-- 允许应用程序访问有关的网络信息 -->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />

    <!-- 允许应用程序访问WIFI网卡的网络信息 -->
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />

    <!-- 允许应用程序完全使用网络 -->
    <uses-permission android:name="android.permission.INTERNET" />
</manifest>